Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required

GetVmMigrationCandidateHosts

GetVmMigrationCandidateHosts

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The VM instance UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementIpStringRequired

      管理IP。

    • hypervisorTypeStringRequired

      No description provided.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • totalCpuCapacityLongRequired

      总CPU容量。

    • availableCpuCapacityLongRequired

      可用CPU容量。

    • cpuSocketsIntegerRequired

      No description provided.

    • totalMemoryCapacityLongRequired

      总内存容量。

    • availableMemoryCapacityLongRequired

      可用内存容量。

    • cpuNumIntegerRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/migration-target-hosts

/zstack/v1/vm-instances/{vmInstanceUuid}/migration-target-hosts

Operation ID

GetVmMigrationCandidateHosts

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/migration-target-hosts?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "zoneUuid": "09ba44cadab94a1a95ab0b5216ace46a", "name": "example", "uuid": "25a4d0f25f5649ae847e81869384f155", "clusterUuid": "d96488a7d4524609a66983de7eb1bc6c", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "totalMemoryCapacity": 4.0, "availableMemoryCapacity": 4.0, "createDate": "May 11, 2017 1:22:56 PM", "lastOpDate": "May 11, 2017 1:22:56 PM" } ] }

Change History

This API has no change history records yet.

View all change history